Foreman - Feature #18509

Modify kickstart templates to update the /etc/hosts and /etc/resolv.conf
02/15/2017 04:08 AM - Marek Hulan

Status: Rejected
Priority: Normal
Assignee: Marek Hulén
Category: Templates

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1416170 Red Hat JIRA:

Pull request: https://github.com/theforeman/communit

y-templates/pull/361

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1416170

Description of problem:
Default kicstart finish templates are not updating the /etc/hosts and /etc/resolv.conf files. This creates additional useless effort to
configure the host later via puppet or any other configuration management tool.

Version-Release number of selected component (if applicable):
All foreman releases

How reproducible:
100%

Steps to Reproduce:
1. Provision a new host with static IPs
2. Check if the /etc/hosts file contains the hostname and the IP of the new server (it's not)
3. Check if the /etc/resolv.conf is populated.
Actual results:
Expected results:
/etc/hosts should be updated with the IP, hosthame and short hostname of the new server if the IP is static.

/etc/resolv.conf should contain the DNS servers set during provisioning time.

Foreman has all the necessary information to do so, and there is no reason to write custom snippets to do that.

History

#1 - 02/15/2017 04:11 AM - Marek Hulan

- Subject changed from Modify kickstart templates to update the /etc/hosts and /etc/resolv.conf
to Modify kickstart templates to update the /etc/hosts and /etc/resolv.conf

- Category changed from TFTP to Templates

- Target version set to 115

#2 - 02/15/2017 04:58 AM - Marek Hulan

resolv.conf is updated by network manager if DNS1/DNS2 is set according to subnet, but configuring hostname sounds reasonable to me

#3 - 02/17/2017 08:29 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/community-templates/pull/361 added
#4 - 02/28/2020 12:38 PM - Lukas Zapletal
- Status changed from Ready For Testing to Rejected
- Triaged set to No

It is assumed that hosts managed by Foreman have proper DNS, therefore no changes of “/etc/hosts™ is necessary. Some users tend to manage
hosts file entries instead of DNS, then configuration management should be used. However, feel free to send a patch to Foreman templates to do this
during provisioning, but only as opt-in via parameter. By default, we do not want to change what OS installers set.

File “/etc/resolv.conf’ is managed by NetworkManager from CentOS 6, there is no need of changing it directly. Nameservers must be set in ifcfg
setting (DNS1, DNS2) or interactively via NetworkManager CLI, TUI or applet.
